<?php		
//error_reporting(E_ALL);
//ini_set('display_errors',1);
session_start();
require_once ("../../config/Cado.php");
require_once ("../venta/cVenta.php");
$oVenta = new cVenta();
require_once ("../producto/cCatalogo.php");
$oCatalogo = new cCatalogo();
require_once ("../formatos/formato.php");
?>
<style>
	#tabla_venta_car td{
		vertical-align: middle;
		padding: 4px 4px !important;
	}
	#tabla_venta_car td.editable,#tabla_venta_car td.editable *{
		cursor: text !important;
		height: 100%; 
		border-bottom-color: #ccc;
		border-bottom-style: dashed; 
		border-bottom-width: 0.5px;
	}
	#tabla_venta_car td.editando{
		background-color: rgba(18, 180, 243, 0.05);
		outline: 2px solid #35A4F3;
	}
	#tabla_venta_car td input{
		height: 100%;
		width: 100%;
		box-sizing: border-box;
		display: inline-block;
		border: none;
		background: transparent;
		color:#fff;
	}
	#tabla_venta_car td input:focus{
		background: transparent;
		height: 100%;
		width: 100%;
		outline: none;
		border: none;
	}
	#tabla_venta_car td input[readonly]{
		background: transparent;
	}
</style> 
<?php 	
if(isset($_SESSION['guia_can'])){
	$num_rows=count($_SESSION['guia_can']);
	if($num_rows==0)$num_rows="";
}else{
	$num_rows="";
}
	?>
	<input name="hdd_guia_numite" id="hdd_guia_numite" type="hidden" value="<?php echo $num_rows?>">
	 
	 <div class="table-responsive">
		
		<div class="col-lg-12 col-md-12 col-xs-12 " >
	<table id="tabla_venta_car" class="table table-bordered table-striped">
		<thead>
			<tr>
				
				<th>CÓDIGO</th>
				<th>ARTÍCULO</th>
				<th>MARCA</th>
				<th>CATEGORIA</th>
				<th>UNIDAD</th>
				<th class="bg-green" >PESO UNI.(KG)</th>
				<th>CANTIDAD</th>
				<th width="25">&nbsp;</th>
			</tr>
		</thead>		 
		<tbody>
			<?php 
			$total = 0;
			if($num_rows>0){
				
				foreach($_SESSION['guia_can'] as $indice=>$cantidad) {
					$dts1=$oCatalogo->mostrarUno($_SESSION['guia_catid'][$indice],$_SESSION['guia_marid'][$indice]);
					$dt1 = mysqli_fetch_array($dts1);
					$pes = $dt1['tb_productomarca_pes'];
					
					$cantidad  = $_SESSION['guia_can'][$indice];
					
					$cantidad_productos+=$cantidad;
				
				?>
					<tr class="" style="">
						
						<td title="<?php echo $dt1['tb_catalogo_cod']?>"><?php echo $dt1['tb_catalogo_cod']?></td>
						<td style="font-size:10pt; font-weight:bold"><?php echo $dt1['tb_producto_nom']?></td>
						<td><?php echo $dt1['tb_marca_nom']?></td>
						<td><?php echo $dt1['tb_categoria_nom']?></td>
						<td><?php echo $dt1['tb_unidad_nom']?></td>
						<td> <strong><?php echo $pes * 1 ?></strong></td>
						<td align="right" width="100" class="editable" style="font-size:10pt; font-weight:bold">
							<input type="text" value="<?php echo $cantidad ?>" 
							data-original="<?php echo $cantidad ?>" 
							data-can="<?php echo $cantidad ?>" 
							data-cat_id="<?php echo $dt1['tb_catalogo_id'] ?>"
							data-mar_id="<?php echo $dt1['tb_marca_id'] ?>"
							style="text-align: right;">
						
						</td>
						<td align="center" nowrap="nowrap"> 
						<!--	<span  title="Editar" class="btn btn-primary btn-sm btn_editar" ><i class="fa fa-pencil"></i></span>
							-->
							
							<span title="Eliminar" data-cat_id="<?php echo $dt1['tb_catalogo_id'].$dt1['tb_marca_id']; ?>" style="cursor:pointer" class="btn btn-danger btn-sm btn_eliminar" ><i class="fa fa-times"></i></span>
								
						</td>
						
					</tr>
					
					<?php
					mysqli_free_result($dts1);
				}
			}
			?>
		</tbody>
	</table>
	<br>
	<?php 
	if($num_rows=="" or $num_rows==0)
		echo 'Ningún producto agregado. <input type="hidden" id="evaluar_cantidad_items_venta" value="'.$cantidad_productos.'">';
	if($num_rows==1)
		echo $num_rows.' producto agregado. <input type="hidden" id="evaluar_cantidad_items_venta" value="'.$cantidad_productos.'">';
	if($num_rows>=2)
		echo $num_rows.' productos agregados. <input type="hidden" id="evaluar_cantidad_items_venta" value="'.$cantidad_productos.'">';
	
	
	/* echo '<br />'.$oferta_menu; */
	?>
</div>
</div>
<?php // }?>
<script type="text/javascript" src="../cotizacion/NumberFormat.js"></script>
<script>
	$(function() {
		<?php if($num_rows > 0){ ?>
		$('#cmb_mone_id').attr('disabled','disabled');
		<?php }else{
		?>
		$('#cmb_mone_id').removeAttr("disabled");
		<?php	
		}?>
		var nFilas = $("#hdd_guia_numite").val();
  if(nFilas>0){
  	$('#tabcliente .nav-tabs a:last').tab('show'); 
  }
  	
	$('#tabla_venta_car td input').keydown(function(ev) {
			if(ev.keyCode == 13 && !$(this).attr('readonly')) {
				var cat_id = $(this).attr('data-cat_id');
				var mar_id = $(this).attr('data-mar_id');
				var can = $(this).parent().parent().find('input[data-can]').val();
				var pre = 0;
				agregar_producto('agregar', cat_id,can,pre,mar_id, <?php echo $_POST['venid'] ?>);
				$(this).attr('readonly', 'true');
				$(this).parent().removeClass('editando');
				return false;
			}
		});	
		
		$('#tabla_venta_car td input').parent().click(function(ev) {
			var $input = $(this).find('input');
			var $td = $input.parent().addClass('editando');
			$input.removeAttr('readonly').focus().select();
		});
		
		$('#tabla_venta_car td input').blur(function(event) {
		$(this).val($(this).attr('data-original'));
		$(this).attr('readonly', 'true');
		$(this).parent().removeClass('editando');
	});
		
	
		$( ".btn_eliminar" ).click(function() { 
			var cat_id = $(this).attr('data-cat_id');
			if(confirm('¿Seguro de quitar el item?')){
				agregar_producto('quitar', cat_id);
			}
		});
	}); 
</script>